import { defineStore } from 'pinia';

export const useExamStore = defineStore('exam-store', () => {
  const category = ref('');
  const end = ref(false);
  const result: Ref<ResultEndType> = ref({
    basic: [],
    advanced: [],
  });
  function resetExam() {
    category.value = '';
    mildReset();
  }
  function mildReset() {
    end.value = false;
    result.value = {
      basic: [],
      advanced: [],
    };
  }
  function setEnd(value: boolean) {
    end.value = value;
    return end.value;
  }
  function setCategory(value: string) {
    category.value = value;
    return category.value;
  }
  function setResult(value: ResultEndType) {
    result.value = value;
    return result.value;
  }
  return {
    category,
    end,
    result,
    resetExam,
    mildReset,
    setEnd,
    setCategory,
    setResult,
  };
});
