# nuxt-prawo-jazdy

## Setup

This project utilizes `pnpm`, thus it is recommended

Also use [db-prawo-jazdy](https://git.mandarynki.eu/netman/db-prawo-jazdy) for running this project

```bash
pnpm install
```

# To-do:

- [x] re-forge database structure (good for now)
- [ ] db: script for processing, share appropriate files
- [x] choose category (good for now)
- [ ] beautify website
- [ ] better answer click recognition
- [x] come up with how to show results appropriately
- [ ] i18n - pl, en, de, ua (not all questions are not available in ua, api handle)
- [ ] exam (maybe also results?) warning leave message on exit (refresh)
- [ ] lazy loading
- [ ] question timers, and at end of total timer show a message for a while before immediatly navigating to results (maybe sth similar also when normally ending exam)

## Development Server

Start the development server on `http://localhost:3000`:

```bash
pnpm run dev
```

## Production

Build the application for production:

```bash
pnpm build
```

Locally preview production build:

```bash
pnpm preview
```

Check out the [Nuxt documentation](https://nuxt.com/docs) for more information.

### Licensing

Distributed via [MIT License](./LICENSE)
